import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class SeriesDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private au;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private az;
    get legendItemVisibility(): string;
    set legendItemVisibility(a: string);
    private ax;
    get legendItemBadgeTemplateRef(): string;
    set legendItemBadgeTemplateRef(a: string);
    private ay;
    get legendItemTemplateRef(): string;
    set legendItemTemplateRef(a: string);
    private av;
    get discreteLegendItemTemplateRef(): string;
    set discreteLegendItemTemplateRef(a: string);
    private a5;
    get transitionEasingFunctionRef(): string;
    set transitionEasingFunctionRef(a: string);
    private a6;
    get transitionInEasingFunctionRef(): string;
    set transitionInEasingFunctionRef(a: string);
    private al;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private x;
    get resolution(): number;
    set resolution(a: number);
    private as;
    get brush(): string;
    set brush(a: string);
    private ap;
    get actualBrush(): string;
    set actualBrush(a: string);
    private a0;
    get outline(): string;
    set outline(a: string);
    private ar;
    get actualOutline(): string;
    set actualOutline(a: string);
    private ab;
    get thickness(): number;
    set thickness(a: number);
    private i;
    get isHighlightingEnabled(): boolean;
    set isHighlightingEnabled(a: boolean);
    private h;
    get isDropShadowEnabled(): boolean;
    set isDropShadowEnabled(a: boolean);
    private y;
    get shadowBlur(): number;
    set shadowBlur(a: number);
    private a2;
    get shadowColor(): string;
    set shadowColor(a: string);
    private l;
    get useSingleShadow(): boolean;
    set useSingleShadow(a: boolean);
    private z;
    get shadowOffsetX(): number;
    set shadowOffsetX(a: number);
    private aa;
    get shadowOffsetY(): number;
    set shadowOffsetY(a: number);
    private u;
    get areaFillOpacity(): number;
    set areaFillOpacity(a: number);
    private t;
    get actualAreaFillOpacity(): number;
    set actualAreaFillOpacity(a: number);
    private g;
    get isDefaultToolTipSelected(): boolean;
    set isDefaultToolTipSelected(a: boolean);
    private k;
    get showDefaultTooltip(): boolean;
    set showDefaultTooltip(a: boolean);
    private am;
    get transitionInDuration(): number;
    set transitionInDuration(a: number);
    private a7;
    get transitionInSpeedType(): string;
    set transitionInSpeedType(a: string);
    private j;
    get mouseOverEnabled(): boolean;
    set mouseOverEnabled(a: boolean);
    private at;
    get coercionMethodsRef(): string;
    set coercionMethodsRef(a: string);
    private f;
    get expectFunctions(): boolean;
    set expectFunctions(a: boolean);
    private aw;
    get hitTestMode(): string;
    set hitTestMode(a: string);
    private aq;
    get actualHitTestMode(): string;
    set actualHitTestMode(a: string);
    private v;
    get finalValue(): number;
    set finalValue(a: number);
    private w;
    get percentChange(): number;
    set percentChange(a: number);
    private a1;
    get renderRequestedRef(): string;
    set renderRequestedRef(a: string);
    private a4;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private a3;
    get title(): string;
    set title(a: string);
}
